Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77915 - NoSource tag doesn't accept more than one number
Summary: NoSource tag doesn't accept more than one number
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-15 10:17 UTC by Jos Vos
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 21:41:13 UTC


Attachments (Terms of Use)
Spec file reproducing the problem. (deleted)
2002-11-15 10:18 UTC, Jos Vos
no flags Details

Description Jos Vos 2002-11-15 10:17:01 UTC
Description of Problem:
The NoSource tag doesn't accept more than one number ("NoSource: 0,1" or
"NoSource: 0 1" both say "Bad number: 0, 1" resp. "Bad number: 0 1"). The
workaround is to use multiple NoSource tags, but in case you have 10 source
elements, this is a bit inconvenient...

Version-Release number of selected component (if applicable):
4.1-1.06 (problem also occurs in older versions, RH 7.2 and 7.3).

How Reproducible:
See the attached spec file.  Touch two files testing.txt and testing.init in the
SOURCES directory and use the spec file, then the problem occurs.

Comment 1 Jos Vos 2002-11-15 10:18:20 UTC
Created attachment 85165 [details]
Spec file reproducing the problem.

Comment 2 Jos Vos 2002-11-15 10:27:56 UTC
Oops, this spec file has two NoSource tags, change them to one line with
"NoSource: 0, 1" and the problem will occur.

Comment 3 Bill Nottingham 2005-09-29 21:41:13 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.


Note You need to log in before you can comment on or make changes to this bug.